<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes"/>

    <!-- Execute this code for the root element. -->
    <xsl:template match="/">
        <HTML>
        <HEAD>
        <TITLE>Books</TITLE>
        </HEAD>
        <BODY>

        <TABLE BORDER="1" CELLPADDING="5" CELLSPACING="1" BGCOLOR="#E0E0E0">
        <TR>
            <TH>Picture</TH>
            <TH>Title</TH>
            <TH>Price</TH>
            <TH>Pages</TH>
        </TR>

        <!-- Go to the XSL code for Book elements. -->
        <xsl:apply-templates/>

        </TABLE>
        </BODY>
        </HTML>
    </xsl:template>

    <!-- Process a Book element. -->
    <xsl:template match="Book">
        <TR>
            <TD><A>
                <xsl:attribute name="HREF"><xsl:value-of select="URL"/></xsl:attribute>
                <IMG>
                    <xsl:attribute name="SRC"><xsl:value-of select="Image"/></xsl:attribute>
                </IMG>
            </A></TD>
            <TD><A>
                <xsl:attribute name="HREF"><xsl:value-of select="URL"/></xsl:attribute>
                <xsl:value-of select="Title"/>
            </A></TD>
            <TD ALIGN="Right"><xsl:value-of select="@Price"/></TD>
            <TD ALIGN="Right"><xsl:value-of select="@Pages"/></TD>
        </TR>
    </xsl:template>
</xsl:stylesheet>
