<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes"/>

    <!-- Root. -->
    <!-- Generate the start and end the HTML tags. -->
    <xsl:template match="/">
        <HTML>
        <xsl:apply-templates/>
        </HTML>
    </xsl:template>

    <!-- Title. -->
    <!-- Generate the HEAD section. -->
    <xsl:template match="//Title">
        <HEAD>
        <TITLE><xsl:value-of select="."/></TITLE>
        </HEAD>
    </xsl:template>

    <!-- BodyText. -->
    <!-- Generate the BODY section. -->
    <xsl:template match="//BodyText">
        <BODY>
        <xsl:value-of select="."/>
        </BODY>
    </xsl:template>

</xsl:stylesheet>
